import { EventEmitter } from '../Events/EventEmitter.js';
export class Logger {
    static verbose(text) {
        this.onVerbose.emit(text);
    }
    static info(text) {
        this.onInfo.emit(text);
    }
    static warn(text) {
        this.onWarn.emit(text);
    }
    static error(text) {
        this.onError.emit(text);
    }
}
Logger.onVerbose = new EventEmitter();
Logger.onInfo = new EventEmitter();
Logger.onWarn = new EventEmitter();
Logger.onError = new EventEmitter();
(() => {
    const prefix = () => {
        return new Date().toLocaleTimeString().padStart(11, '0');
    };
    Logger.onVerbose.addListener((text) => {
        console.log(prefix() + ` VERB:  ${text}`);
    });
    Logger.onInfo.addListener((text) => {
        console.log(prefix() + ` INFO:  ${text}`);
    });
    Logger.onWarn.addListener((text) => {
        console.warn(prefix() + ` WARN:  ${text}`);
    });
    Logger.onError.addListener((text) => {
        console.error(prefix() + ` ERR:  ${text}`);
    });
})();
//# sourceMappingURL=Logger.js.map