export class EventEmitter {
    constructor() {
        this.listeners = [];
    }
    addListener(listener) {
        this.listeners.push(listener);
    }
    removeListener(listener) {
        this.listeners.splice(this.listeners.indexOf(listener), 1);
    }
    clear() {
        this.listeners.splice(0, this.listeners.length);
    }
    emit(event) {
        if (this.listeners.length === 0)
            return;
        this.listeners.slice(0).forEach((listener) => {
            listener(event);
        });
    }
    get listenerCount() {
        return this.listeners.length;
    }
}
//# sourceMappingURL=EventEmitter.js.map