import { Assert } from '../Diagnostics/Assert.js';
import { Node } from './Node.js';
export class AsyncNode extends Node {
    constructor(description, graph, inputSockets, outputSockets) {
        super(description, graph, inputSockets, outputSockets);
        Assert.mustBeTrue(this.inputSockets.some((socket) => socket.valueTypeName === 'flow'));
        Assert.mustBeTrue(this.outputSockets.some((socket) => socket.valueTypeName === 'flow'));
    }
    triggered(engine, triggeringSocketName, finished) {
        throw new Error('not implemented');
    }
    dispose() {
        throw new Error('not implemented');
    }
}
//# sourceMappingURL=AsyncNode.js.map