import { EventEmitter } from '../Events/EventEmitter.js';
import { Engine } from '../Graphs/Execution/Engine.js';
import { Fiber } from '../Graphs/Execution/Fiber.js';
import { Graph } from '../Graphs/Graph.js';
import { Socket } from '../Sockets/Socket.js';
import { Node } from './Node.js';
export declare class NodeEvalContext {
    readonly fiber: Fiber;
    readonly node: Node;
    readonly triggeringFlowSocket: Socket | undefined;
    readonly graph: Graph;
    readonly engine: Engine;
    readonly onAsyncCancelled: EventEmitter<void>;
    asyncPending: boolean;
    numCommits: number;
    constructor(fiber: Fiber, node: Node, triggeringFlowSocket?: Socket | undefined);
    private begin;
    cancel(): void;
    finish(): void;
    evalFlow(): void;
}
//# sourceMappingURL=NodeEvalContext.d.ts.map