import { Assert } from '../../../Diagnostics/Assert.js';
import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class ExpectTrue extends FlowNode {
    constructor(description, graph) {
        super(description, graph, [
            new Socket('flow', 'flow'),
            new Socket('boolean', 'condition'),
            new Socket('string', 'description')
        ], [new Socket('flow', 'flow')]);
    }
    triggered(fiber, triggeredSocketName) {
        Assert.mustBeTrue(this.readInput('condition'), this.readInput('description'));
        fiber.commit(this, 'flow');
    }
}
ExpectTrue.Description = new NodeDescription('debug/expectTrue', 'Action', 'Assert Expect True', (description, graph) => new ExpectTrue(description, graph));
//# sourceMappingURL=AssertExpectTrue.js.map