import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class Log extends FlowNode {
    constructor(description, graph, logger) {
        super(description, graph, [new Socket('flow', 'flow'), new Socket('string', 'text')], [new Socket('flow', 'flow')]);
        this.logger = logger;
    }
    triggered(fiber, triggeredSocketName) {
        this.logger.info(this.readInput('text'));
        fiber.commit(this, 'flow');
    }
}
Log.Description = (logger) => new NodeDescription('debug/log', 'Action', 'Debug Log', (description, graph) => new Log(description, graph, logger));
//# sourceMappingURL=DebugLog.js.map