import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class Branch extends FlowNode {
    constructor(description, graph) {
        super(description, graph, [new Socket('flow', 'flow'), new Socket('boolean', 'condition')], [new Socket('flow', 'true'), new Socket('flow', 'false')]);
    }
    triggered(fiber, triggeringSocketName) {
        fiber.commit(this, this.readInput('condition') === true ? 'true' : 'false');
    }
}
Branch.Description = new NodeDescription('flow/branch', 'Flow', 'Branch', (description, graph) => new Branch(description, graph));
//# sourceMappingURL=Branch.js.map