import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class FlipFlop extends FlowNode {
    constructor(description, graph) {
        super(description, graph, [new Socket('flow', 'flow')], [
            new Socket('flow', 'on'),
            new Socket('flow', 'off'),
            new Socket('boolean', 'isOn')
        ]);
        this.isOn = true;
    }
    triggered(fiber, triggeringSocketName) {
        this.writeOutput('isOn', this.isOn);
        fiber.commit(this, this.isOn ? 'on' : 'off');
        this.isOn = !this.isOn;
    }
}
FlipFlop.Description = new NodeDescription('flow/flipFlop', 'Flow', 'Flip Flop', (description, graph) => new FlipFlop(description, graph));
//# sourceMappingURL=FlipFlop.js.map