import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class Sequence extends FlowNode {
    constructor(description, graph) {
        super(description, graph, [new Socket('flow', 'flow')], [
            new Socket('flow', '1'),
            new Socket('flow', '2'),
            new Socket('flow', '3')
        ]);
    }
    triggered(fiber, triggeringSocketName) {
        const sequenceIteration = (i) => {
            if (i < this.outputSockets.length) {
                const outputSocket = this.outputSockets[i];
                fiber.commit(this, outputSocket.name, () => {
                    sequenceIteration(i + 1);
                });
            }
        };
        sequenceIteration(0);
    }
}
Sequence.Description = new NodeDescription('flow/sequence', 'Flow', 'Sequence', (description, graph) => new Sequence(description, graph));
//# sourceMappingURL=Sequence.js.map