import { ImmediateNode } from '../../../Nodes/ImmediateNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
import { toCamelCase } from '../../../toCamelCase.js';
export class GetSceneProperty extends ImmediateNode {
    constructor(description, graph, valueTypeName, scene) {
        super(description, graph, [new Socket('string', 'jsonPath')], [new Socket(valueTypeName, 'value')], () => {
            this.writeOutput('value', this.scene.getProperty(this.readInput('jsonPath'), valueTypeName));
        });
        this.valueTypeName = valueTypeName;
        this.scene = scene;
    }
    static GetDescriptions(scene, ...valueTypeNames) {
        return valueTypeNames.map((valueTypeName) => new NodeDescription(`scene/get/${valueTypeName}`, 'Query', `Get Scene ${toCamelCase(valueTypeName)}`, (description, graph) => new GetSceneProperty(description, graph, valueTypeName, scene)));
    }
}
//# sourceMappingURL=GetSceneProperty.js.map