import { In1Out1FuncNode } from '../../Nodes/Templates/In1Out1FuncNode.js';
import { In2Out1FuncNode } from '../../Nodes/Templates/In2Out1FuncNode.js';
import { In3Out1FuncNode } from '../../Nodes/Templates/In3Out1FuncNode.js';
import { ValueType } from '../../Values/ValueType.js';
import { VecCreate } from './Logic/VecCreate.js';
import { VecElements } from './Logic/VecElements.js';
import { Vec3, vec3Add, vec3FromArray, vec3Mix, vec3Parse, vec3ToArray, vec3ToString } from './Values/Vec3.js';
import { eulerToQuat } from './Values/Vec4.js';
export function registerEulerValue(registry) {
    const { nodes, values } = registry;
    values.register(new ValueType('euler', () => new Vec3(), (value) => typeof value === 'string'
        ? vec3Parse(value)
        : new Vec3(value.x, value.y, value.z), (value) => ({ x: value.x, y: value.y, z: value.z })));
    nodes.register('logic/create/euler', () => new VecCreate('logic/create/euler', 'euler', ['x', 'y', 'z'], (elements) => vec3FromArray(elements)));
    nodes.register('logic/euler', () => new In1Out1FuncNode('logic/euler', 'euler', 'euler', (a) => a));
    nodes.register('logic/elements/euler', () => new VecElements('logic/elements/euler', 'euler', ['x', 'y', 'z'], vec3ToArray));
    nodes.register('logic/add/euler', () => new In2Out1FuncNode('logic/add/euler', 'euler', 'euler', 'euler', (a, b) => vec3Add(a, b)));
    nodes.register('logic/mix/euler', () => new In3Out1FuncNode('logic/mix/euler', 'euler', 'euler', 'float', 'euler', (a, b, c) => vec3Mix(a, b, c)));
    nodes.register('logic/toString/euler', () => new In1Out1FuncNode('logic/toString/euler', 'euler', 'string', (a) => vec3ToString(a)));
    nodes.register('logic/toQuat/euler', () => new In1Out1FuncNode('logic/toQuat/euler', 'euler', 'quat', (a) => eulerToQuat(a)));
}
//# sourceMappingURL=registerEulerValue.js.map