export class ImplementationRegistry {
    constructor() {
        this.abstractionNameToImplementationMap = {};
    }
    register(abstractionName, implementation) {
        if (abstractionName in this.abstractionNameToImplementationMap) {
            throw new Error(`already registered abstraction ${abstractionName}`);
        }
        this.abstractionNameToImplementationMap[abstractionName] = implementation;
    }
    get(abstractionName) {
        if (!(abstractionName in this.abstractionNameToImplementationMap)) {
            throw new Error(`no registered abstraction with name ${abstractionName}`);
        }
        return this.abstractionNameToImplementationMap[abstractionName];
    }
}
//# sourceMappingURL=ImplementationRegistry.js.map