import { EventEmitter } from '../Events/EventEmitter.js';
export class Variable {
    constructor(id, name, valueTypeName, initialValue) {
        this.id = id;
        this.name = name;
        this.valueTypeName = valueTypeName;
        this.initialValue = initialValue;
        this.label = '';
        this.metadata = {};
        this.version = 0;
        this.onChanged = new EventEmitter();
        this.value = this.initialValue;
    }
    get() {
        return this.value;
    }
    set(newValue) {
        if (newValue !== this.value) {
            this.value = newValue;
            this.version++;
            this.onChanged.emit(this);
        }
    }
}
//# sourceMappingURL=Variable.js.map